Stories
Slash Boxes
Comments
NOTE: use Perl; is on undef hiatus. You can read content, but you can't post it. More info will be forthcoming forthcomingly.

All the Perl that's Practical to Extract and Report

use Perl Log In

Log In

[ Create a new account ]

jk2addict (4946)

jk2addict
  (email not shown publicly)
http://today.icantfocus.com/blog/
AOL IM: chrislaco (Add Buddy, Send Message)
Yahoo! ID: chrislaco@sbcglobal.net (Add User, Send Message)
Jabber: laco@scribblewerks.com

Journal of jk2addict (4946)

Friday June 10, 2005
01:21 PM

Libtool 1.5 How I Loathe Thee

[ #25142 ]

I'm not a hardcore gcc guy. I use freebsd ports. 99 times out of a 100, things just compile.

It's seems as of late, that libtool 1.5 on freebsd w/ gcc 3.4 sucks serious butt. Half the ports I try on a free install I can't compile because libtool appears to be generating incorrect linker args. Supplying my own isn't working. Again, I'm no a c. guy.

Grrr. So now I can't get PHP installed, which means I can't get MediaWiki installed. :-( Installing from packages forges Apache1 to be installed since that's how it was compiled. I already have Apache2 installed.

[root@claco2 /usr/ports/www/mediawiki] # make install ===> Installing for mediawiki-1.4.5_1 ===> mediawiki-1.4.5_1 depends on file: /usr/local/include/php/main/php.h - found ===> mediawiki-1.4.5_1 depends on file: /usr/local/lib/php/20020429/iconv.so - found ===> mediawiki-1.4.5_1 depends on file: /usr/local/lib/php/20020429/mbstring.so - found ===> mediawiki-1.4.5_1 depends on file: /usr/local/lib/php/20020429/pcre.so - found ===> mediawiki-1.4.5_1 depends on file: /usr/local/lib/php/20020429/session.so - found ===> mediawiki-1.4.5_1 depends on file: /usr/local/lib/php/20020429/xml.so - not found ===> Verifying install for /usr/local/lib/php/20020429/xml.so in /usr/ports/textproc/php4-xml ===> Building for php4-xml-4.3.11_1 /bin/sh /usr/ports/textproc/php4-xml/work/php-4.3.11/ext/xml/libtool --mode=link cc -DPHP_ATOM_INC -I/usr/ports/textproc/php4-xml/work/php-4.3.11/ext/xml/include -I/usr/ports/textproc/php4-xml/work/php-4.3.11/ext/xml/main -I/usr/ports/textproc/php4-xml/work/php-4.3.11/ext/xml -I/usr/local/include/php -I/usr/local/include/php/main -I/usr/local/include/php/TSRM -I/usr/local/include/php/Zend -I/usr/local/include -DHAVE_CONFIG_H -O -pipe -o ./xml.la -export-dynamic -avoid-version -prefer-pic -module -rpath /usr/ports/textproc/php4-xml/work/php-4.3.11/ext/xml/modules xml.lo -R/usr/local/lib -L/usr/local/lib -lexpat rm -fr ./.libs/xml.la ./.libs/xml.* ./.libs/xml.* cc -shared xml.lo -Wl,--rpath -Wl,/usr/local/lib/.libs -Wl,--rpath -Wl,/usr/local/lib -L/usr/local/lib /usr/local/lib/.libs/libexpat.so -Wl,-soname -Wl,xml.so -o ./.libs/xml.so cc: /usr/local/lib/.libs/libexpat.so: No such file or directory *** Error code 1 Stop in /usr/ports/textproc/php4-xml/work/php-4.3.11/ext/xml. *** Error code 1 Stop in /usr/ports/textproc/php4-xml. *** Error code 1 Stop in /usr/ports/www/mediawiki. [root@claco2 /usr/ports/www/mediawiki] #

The Fine Print: The following comments are owned by whoever posted them. We are not responsible for them in any way.
 Full
 Abbreviated
 Hidden
More | Login | Reply
Loading... please wait.
  • I had the same problem as you. This is how I fixed it. mkdir /usr/local/lib/.libs cp /usr/local/lib/libexpat.so /usr/local/lib/.libs/libexpat.so Then just make install again. Hope this helps you.